Start up options

Automatic download startup options

When you start the program with 'DNLOAD' or 'DNLOAD.EXE', the program will download the call light data and then end. Unless you activate the 'Timed Download' button. This will download the data every 3 hours as long as the program is either on screen or is minimized to an icon.

When you start the program with 'DNLOAD TIME' the program automatically will download the data every 3 hours.

You can also specify a number of minutes between downloads to use instead of the default 3 hours. As an example to download every 2 hours, start the program with 'DNLOAD TIME=120'.

You can also specify a time of day to automatically download the calls. As an example to download at 7:30AM each day you would start the program with 'DNLOAD TIME=7:30AM'.

The 'DNLOAD' program startup command can be put in the Startup group or folder so it will run whenever the computer is started.


Downloading calls

Download Data

This menu selection is used to download call light data from the Omniwatch control panels.

After the downloading window opens, you have several seconds to click on the 'One Station' button if you want to download from one station only, otherwise the program will automatically download data from all stations. If you click on the 'One Station' button then a box will open listing all the stations. Choose the station to download and then click on the ok button.

Enable Timed Download

By clicking this button, you enable a mode of operation that will download the call light data every 3 hours. After the initial downloading is complete and you are finished using the Omniwatch program, minimize the Omniwatch program to a small icon. The program will run in the background to download every 3 hours. You may override this time by going back into the program and selecting 'Download Now' button from the downloading window. To turn off the timed download click on the 'Disable Timed Download' button.

See also Communication Errors


Communications Errors

When downloading call light data, if you get a failure to communicate error, check the following:

Retry the downloading selecting one station only. It is possible a station control panel was busy processing call light data.

Check the cable connection at the back of the computer. The cable from the Omniwatch units is connected to a serial port of the computer using an adapter. This adapter has a wire to a transformer which is plugged into an AC receptacle. Also check that the Omniwatch setup configuration is set to the proper serial port number.

Make sure the station control panel and the computer are set for the same baud rate. The computer baud rate is set in the setup configuration window. Use the Ncwterm program to change the baud rate in the control panel. This program is useful in trouble shooting communication problems. When using Windows 95 or higher, a baud rate of 9600 may not work without some errors. A baud rate of 2400 should be used. Use 9600 only if you are using Windows version 3.1. Note: With Win95 9600 baud may work if you disable the serial port 'FIFO' buffers. It probably is best to disable the buffer for all baud rates.

It is possible for a trouble at one control panel to lock up the communications line for all other control panels. Each control panel has a red LED which should be on. If a control panel also has a green LED this LED should turn on and off every 2 seconds. If this is not the case then the panel should be reset. If the control panel does not have an external reset switch, the unit can be reset by momentarily shorting the 2 pins on the edge of the main computer board which are marked RESET.

Each control panel has an internal clock for keeping the date and time. If this clock should get some erroneous numbers, it could cause the control panel to malfunction or it could cause downloading errors. It could also cause data base errors when printing call light reports. It is a good idea to set this clock if you are experiencing any of these problems. The clock can be set using the 'Update Station Clock' function from the Communicate menu option. The clock can also be checked and set with the Ncwterm program. If the clock is found to be wrong, you should also erase all the calls stored in the control panel memory. This is done by selecting the 'Reset memory in station panel' option from the Communicate menu option or you could also use the 'Cold start' option in the Ncwterm program.

Customer support at Omniwatch can be reached at 800 539-6664.


Contents

Automatic download start up options

Downloading calls

Communications errors